#
# Net-Term for Windows
# Map file - czech keyboard PC Latin 2 for VT102 emulation
#

input
# Cursor keys
0x26	\E '[' 'A'	#UP
0x28	\E '[' 'B'	#DOWN
0x25	\E '[' 'D'	#LEFT
0x27	\E '[' 'C'	#RIGHT
0x24	\E '[' 'H'	#HOME
0x23	\E '[' 'F'	#END
0x21	\E '[' 'I'	#PGUP
0x22	\E '[' 'G'	#PGDN
0x2d	\E '[' 'L'	#INSERT
0x2e	127	#DELETE

0x826	\E '[' 'A'	#UP
0x828	\E '[' 'B'	#DOWN
0x825	\E '[' 'D'	#LEFT
0x827	\E '[' 'C'	#RIGHT
0x824	\E '[' 'H'	#HOME
0x823	\E '[' 'F'	#END
0x821	\E '[' 'I'	#PGUP
0x822	\E '[' 'G'	#PGDN
0x82d	\E '[' 'L'	#INSERT
0x82e	127	#DELETE

#Function keys
0x70	\E 'O' 'P'	#F1
0x71	\E 'O' 'Q'	#F2
0x72	\E 'O' 'R'	#F3
0x73	\E 'O' 'S'	#F4
0x74	\E '[' 'A'	#F5
0x75	\E '[' 'B'	#F6
0x76	\E '[' 'D'	#F7
0x77	\E '[' 'C'      #F8
0x78	\E '[' ' '	#F9
0x79	\E '[' ' '	#F10
0x7a    \E '[' ' '      #F11
0x7b    \E '[' ' '      #F12

0x170	\E '[' 'Y'	#SHIFTF1
0x171   \E '[' 'Z'	#SHIFTF2
0x172	\E '[' 'a'	#SHIFTF3
0x173	\E '[' 'b'	#SHIFTF4
0x174	\E '[' 'c'	#SHIFTF5
0x175	\E '[' 'd'	#SHIFTF6
0x176	\E '[' 'e'	#SHIFTF7
0x177	\E '[' 'f'	#SHIFTF8
0x178	\E '[' 'g'	#SHIFTF9
0x179	\E '[' 'h'	#SHIFTF10
0x17a	\E '[' 'i'	#SHIFTF11
0x17b	\E '[' 'j'	#SHIFTF12

0x270	\E '[' 'k'	#CTRLF1
0x271	\E '[' 'l'	#CTRLF2
0x272	\E '[' 'm'	#CTRLF3
0x273	\E '[' 'n'	#CTRLF4
0x274	\E '[' 'o'	#CTRLF5
0x275	\E '[' '1' '7' '~'    #CTRL F6  = vt220 f6
0x276	\E '[' '1' '8' '~'    #CTRL F7  = vt220 f7
0x277	\E '[' '1' '9' '~'    #CTRL F8  = vt220 f8
0x278	\E '[' '2' '0' '~'    #CTRL F9  = vt220 f9
0x279	\E '[' '2' '1' '~'    #CTRL F10 = vt220 f10

0x670   \E '[' '2' '3' '~'    #CTRL ALT F1 = vt220 f11
0x671   \E '[' '2' '4' '~'    #CTRL ALT F2 = vt220 f12
0x672   \E '[' '2' '5' '~'    #CTRL ALT F3 = vt220 f13
0x673   \E '[' '2' '6' '~'    #CTRL ALT F4 = vt220 f14
0x674   \E '[' '2' '8' '~'    #CTRL ALT F5 = vt220 f15
0x675   \E '[' '2' '9' '~'    #CTRL ALT F6 = vt220 f16
0x676   \E '[' '3' '1' '~'    #CTRL ALT F7 = vt220 f17
0x677   \E '[' '3' '2' '~'    #CTRL ALT F8 = vt220 f18
0x678   \E '[' '3' '3' '~'    #CTRL ALT F9 = vt220 f19
0x679   \E '[' '3' '4' '~'    #CTRL ALT F10 = vt220 f20



#0x27a	\E '[' ''	#CTRLF11
#0x27b	\E '[' ''	#CTRLF12

0x370	\E '[' 'w'	#CTRLSHIFTF1
0x371	\E '[' 'x'	#CTRLSHIFTF2
0x372	\E '[' 'y'	#CTRLSHIFTF3
0x373	\E '[' 'z'	#CTRLSHIFTF4
0x374	\E '[' '@'	#CTRLSHIFTF5
0x375	\E '[' '['	#CTRLSHIFTF6
0x376	\E '[' '\'	#CTRLSHIFTF7
0x377	\E '[' ']'	#CTRLSHIFTF8
0x378	\E '[' '^'	#CTRLSHIFTF9
0x379	\E '[' '_'	#CTRLSHIFTF10
0x37a	\E '[' ' '      #CTRLSHIFTF11
0x37b	\E '[' '{'	#CTRLSHIFTF12


0x431	\E 'O' 'p' #Alt 1
0x432	\E 'O' 'q' #Alt 2
0x433	\E 'O' 'r' #Alt 3
0x434	\E 'O' 's' #Alt 4
0x435	\E 'O' 't' #Alt 5
0x436	\E 'O' 'u' #Alt 6
0x437	\E 'O' 'v' #Alt 7
0x438	\E 'O' 'w' #Alt 8
0x439	\E 'O' 'x' #Alt 9
0x430   \E 'O' 'y' #Alt 0

#Numeric keypad
0x60  '0' #0
0x61  '1' #1
0x62  '2' #2
0x63  '3' #3
0x64  '4' #4
0x65  '5' #5
0x66  '6' #6
0x67  '7' #7
0x68  '8' #8
0x69  '9' #9

0x6e  '.' #.
0x86f  '/' #/
0x6a  '*' #*
0x6d  '-' #-
0x6b  '+' #+
0xd   0xd #Enter

# Application Keypad mode
0x806D  \E 'O' 'm'         #-
0x806B  \E 'O' 'l'         #+
0x806E  \E 'O' 'n'         #,
0x8060  \E 'O' 'p'         #0
0x8061  \E 'O' 'q'         #1
0x8062  \E 'O' 'r'         #2
0x8063  \E 'O' 's'         #3
0x8064  \E 'O' 't'         #4
0x8065  \E 'O' 'u'         #5
0x8066  \E 'O' 'v'         #6
0x8067  \E 'O' 'w'         #7
0x8068  \E 'O' 'x'         #8
0x8069  \E 'O' 'y'         #9
0x880D  \E 'O' 'M'         #Enter


# Cursor keys - Application Mode Codes
0x8826	\E 'O' 'A'	   # UP
0x8828	\E 'O' 'B'	   # DOWN
0x8827	\E 'O' 'C'	   # RIGHT
0x8825	\E 'O' 'D'	   # LEFT

0x31   '+'
0x32   ''
0x33   ''
0x34   ''
0x35   ''
0x36   ''
0x37   ''
0x38   ''
0x39   ''
0x30   ''
0x131  '1'
0x132  '2'
0x133  '3'
0x134  '4'
0x135  '5'
0x136  '6'
0x137  '7'
0x138  '8'
0x139  '9'
0x130  '0'

0x1bd   '%'
0xbd    '='
0x1db   '/' 
0xdb    ''
0x1dd   '('
0xdd    ')' 
0x1ba   '"'
0xba    ''
0x1de   '!'
0xde    ''
0x1bc   '?'
0xbc    ',' 
0x1be   ':'
0xbe    '.'
0x1bf   '_'
0xbf    '-'

0x5a    'y'
0x15a   'Y'
0x59    'z'
0x159   'Z'


#dlzen <---------------------------------------------------------------------
dead 0xbb
0xbb 0xbb

#a
0x41  ''
0x141 ''

#b
0x42  'b'
0x142 'B'

#c
0x43  'c'
0x143 'C'

#d
0x44  'd'
0x144 'D'

#e
0x45  '' 
0x145 ''

#f
0x46  'f'
0x146 'F'

#g
0x47  'g'
0x147 'G'

#h
0x48  'h'
0x148 'H'

#i
0x49  ''
0x149 ''

#j
0x4a  'j'
0x14a 'J'

#k
0x4b  'k'
0x14b 'K'

#l
0x4c  ''
0x14c ''

#m
0x4d  'm'
0x14d 'M'

#n
0x4e  'n'
0x14e 'N'

#o
0x4f  ''
0x14f ''

#p
0x50  'p'
0x150 'P'

#q
0x51  'q'
0x151 'Q'

#r 
0x52  ''
0x152 ''

#s
0x53  's'
0x153 'S'

#t
0x54  't'
0x154 'T'

#u
0x55  ''
0x155 ''

#v
0x56  'v'
0x153 'V'

#w
0x57  'w'
0x153 'W'

#x
0x58  'x'
0x158 'X'

#y
0x5a  ''
0x15a ''

#z
0x59  'z'
0x159 'Z'

#makcen <---------------------------------------------------------------------
dead 0x1bb
0x1bb '+'

#a
0x41  ''
0x141 ''

#c
0x43  ''
0x143 ''

#d
0x44  ''
0x144 ''

#e
0x45  ''
0x145 ''

#f
0x46  'f'
0x146 'F'

#g
0x47  'g'
0x147 'G'

#h
0x48  'h'
0x148 'H'

#i
0x49  'i'
0x149 'I'

#j
0x4a  'j'
0x14a 'J'

#k
0x4b  'k'
0x14b 'K'

#l
0x4c  ''
0x14c ''

#m
0x4d  'm'
0x14d 'M'

#n
0x4e  ''
0x14e ''

#o
0x4f  ''
0x14f ''

#p
0x50  'p'
0x150 'P'

#q
0x51  'q'
0x151 'Q'

#r
0x52  ''
0x152 ''

#s
0x53  ''
0x153 ''

#t
0x54  ''
0x154 ''

#u
0x55  ''
0x155 ''

#v
0x56  'v'
0x153 'V'

#w
0x57  'w'
0x153 'W'

#x
0x58  'x'
0x158 'X'

#y
0x5a  'y'
0x15a 'Y'

#z
0x59  ''
0x159 ''

dead 0xc0	# dvojbodka
#'`'
0x141	0x8e	#A
0x41	0x84 	#a
0x4f	0x94	#o
0x14f	0x99	#O
0x55	0x81	#u
0x155	0x9a	#U

dead 0x1c0	# kruzok a vokan
#'~'
'O'	0x93	#o
'U'	0x96	#u
0x14f	0xe2	#O
0x155	0xde	#U
