#
# Net-Term for Windows
# Map file - slovak keyboard ISO Latin 2 for VT102 emulation
#
input
# Cursor keys
0x26	\E '[' 'A'	#UP
0x28	\E '[' 'B'	#DOWN
0x25	\E '[' 'D'	#LEFT
0x27	\E '[' 'C'	#RIGHT
0x24	\E '[' 'H'	#HOME
0x23	\E '[' 'F'	#END
0x21	\E '[' 'I'	#PGUP
0x22	\E '[' 'G'	#PGDN
0x2d	\E '[' 'L'	#INSERT
0x2e	127	#DELETE

#Function keys
0x70	\E 'O' 'P'	#F1
0x71	\E 'O' 'Q'	#F2
0x72	\E 'O' 'R'	#F3
0x73	\E 'O' 'S'	#F4
0x74	\E '[' 'A'	#F5
0x75	\E '[' 'B'	#F6
0x76	\E '[' 'D'	#F7
0x77	\E '[' 'C'      #F8
0x78	\E '[' ''	#F9
0x79	\E '[' ''	#F10
0x7a   \E '[' ''       #F11
0x7b   \E '[' ''       #F12

0x170	\E '[' 'Y'	#SHIFTF1
0x171   \E '[' 'Z'	#SHIFTF2
0x172	\E '[' 'a'	#SHIFTF3
0x173	\E '[' 'b'	#SHIFTF4
0x174	\E '[' 'c'	#SHIFTF5
0x175	\E '[' 'd'	#SHIFTF6
0x176	\E '[' 'e'	#SHIFTF7
0x177	\E '[' 'f'	#SHIFTF8
0x178	\E '[' 'g'	#SHIFTF9
0x179	\E '[' 'h'	#SHIFTF10
0x17a	\E '[' 'i'	#SHIFTF11
0x17b	\E '[' 'j'	#SHIFTF12

0x270	\E '[' 'k'	#CTRLF1
0x271	\E '[' 'l'	#CTRLF2
0x272	\E '[' 'm'	#CTRLF3
0x273	\E '[' 'n'	#CTRLF4
0x274	\E '[' 'o'	#CTRLF5
0x275	\E '[' '1' '7' '~'    #CTRL F6  = vt220 f6
0x276	\E '[' '1' '8' '~'    #CTRL F7  = vt220 f7
0x277	\E '[' '1' '9' '~'    #CTRL F8  = vt220 f8
0x278	\E '[' '2' '0' '~'    #CTRL F9  = vt220 f9
0x279	\E '[' '2' '1' '~'    #CTRL F10 = vt220 f10

0x670   \E '[' '2' '3' '~'    #CTRL ALT F1 = vt220 f11
0x671   \E '[' '2' '4' '~'    #CTRL ALT F2 = vt220 f12
0x672   \E '[' '2' '5' '~'    #CTRL ALT F3 = vt220 f13
0x673   \E '[' '2' '6' '~'    #CTRL ALT F4 = vt220 f14
0x674   \E '[' '2' '8' '~'    #CTRL ALT F5 = vt220 f15
0x675   \E '[' '2' '9' '~'    #CTRL ALT F6 = vt220 f16
0x676   \E '[' '3' '1' '~'    #CTRL ALT F7 = vt220 f17
0x677   \E '[' '3' '2' '~'    #CTRL ALT F8 = vt220 f18
0x678   \E '[' '3' '3' '~'    #CTRL ALT F9 = vt220 f19
0x679   \E '[' '3' '4' '~'    #CTRL ALT F10 = vt220 f20



#0x27a	\E '[' ''	#CTRLF11
#0x27b	\E '[' ''	#CTRLF12

0x370	\E '[' 'w'	#CTRLSHIFTF1
0x371	\E '[' 'x'	#CTRLSHIFTF2
0x372	\E '[' 'y'	#CTRLSHIFTF3
0x373	\E '[' 'z'	#CTRLSHIFTF4
0x374	\E '[' '@'	#CTRLSHIFTF5
0x375	\E '[' '['	#CTRLSHIFTF6
0x376	\E '[' '\'	#CTRLSHIFTF7
0x377	\E '[' ']'	#CTRLSHIFTF8
0x378	\E '[' '^'	#CTRLSHIFTF9
0x379	\E '[' '_'	#CTRLSHIFTF10
0x37a	\E '[' ' '      #CTRLSHIFTF11
0x37b	\E '[' '{'	#CTRLSHIFTF12


0x431	\E 'O' 'p' #Alt 1
0x432	\E 'O' 'q' #Alt 2
0x433	\E 'O' 'r' #Alt 3
0x434	\E 'O' 's' #Alt 4
0x435	\E 'O' 't' #Alt 5
0x436	\E 'O' 'u' #Alt 6
0x437	\E 'O' 'v' #Alt 7
0x438	\E 'O' 'w' #Alt 8
0x439	\E 'O' 'x' #Alt 9
0x430   \E 'O' 'y' #Alt 0

#Numeric keypad
0x60  '0' #0
0x61  '1' #1
0x62  '2' #2
0x63  '3' #3
0x64  '4' #4
0x65  '5' #5
0x66  '6' #6
0x67  '7' #7
0x68  '8' #8
0x69  '9' #9

0x6e  '.' #.
0x6f  '/' #/
0x6a  '*' #*
0x6d  '-' #-
0x6b  '+' #+
0xd   0xd #Enter

# Application Keypad mode
0x806D  \E 'O' 'm'         #-
0x806B  \E 'O' 'l'         #+
0x806E  \E 'O' 'n'         #,
0x8060  \E 'O' 'p'         #0
0x8061  \E 'O' 'q'         #1
0x8062  \E 'O' 'r'         #2
0x8063  \E 'O' 's'         #3
0x8064  \E 'O' 't'         #4
0x8065  \E 'O' 'u'         #5
0x8066  \E 'O' 'v'         #6
0x8067  \E 'O' 'w'         #7
0x8068  \E 'O' 'x'         #8
0x8069  \E 'O' 'y'         #9
0x880D  \E 'O' 'M'         #Enter


# Cursor keys - Application Mode Codes
0x8826	\E 'O' 'A'	   # UP
0x8828	\E 'O' 'B'	   # DOWN
0x8827	\E 'O' 'C'	   # RIGHT
0x8825	\E 'O' 'D'	   # LEFT


'1'	'+'     #1
0x131	'1'     #!
'2'	0xb5	#2
0x132	'2'	#@
'3'	0xb9	#3
0x133	'3'	##
'4'	0xe8	#4
0x134	'4'	#$
'5'	0xbb	#5
0x135	'5'	#%
'6'	0xbe	#6
0x136	'6'	#^
'7'	0xfd	#7
0x137	'7'	#&
'8'	0xe1	#8
0x138	'8'	#*
'9'	0xed	#9
0x139	'9'	#(
'0'	0xe9	#0
0x130	'0'	#)
0xbd	'='	#-
0x1bd	'%'	#_

#
0x59    'z'     #y
0x159   'Z'     #Y
0x1db	'/'	#{
0xdb	0xfa	#[
0x1dd	'('	#}
0xdd	0xe4	#]

#
0xba	0xf4	#;  ->  ^o
0x1ba	'"'	#:
0xde	')'	#'  
0x1de	'!'	#"

#
0x5a	'y'	#z
0x15a	'Y'	#Z
0x1bc	'?'	#<
0x1be	':'	#>
0xbf	'-'	#/
0x1bf	'_'	#?


#dlzen <---------------------------------------------------------------------
#dead 0x3d	#dlzen je v =
dead 0xbb	#dlzen je v =
#'\`'	0x60

#a
'A'	0xe1
0x141	0xc1

#b
0x42  'b'
0x142 'B'

#c
0x43  'c'
0x143 'C'

#e
'E'	0xe9
0x145	0xc9

#f
0x46  'f'
0x146 'F'

#g
0x47  'g'
0x147 'G'

#h
0x48  'h'
0x148 'H'

#i
'I'	0xed
0x149	0xcd

#j
0x4a  'j'
0x14a 'J'

#k
0x4b  'k'
0x14b 'K'

#l
'L'	0xe5
0x14c	0xc5

#m
0x4d  'm'
0x14d 'M'

#n
0x4e  'n'
0x14e 'N'

#o
'O'	0xf3
0x14f	0xd3

#p
0x50  'p'
0x150 'P'

#q
0x51  'q'
0x151 'Q'

#r
'R'	0xe0
0x152	0xc0

#s
0x53  's'
0x153 'S'

#t
0x54  't'
0x154 'T'

#u
'U'	0xfa
0x155	0xda

#v
0x56  'v'
0x153 'V'

#w
0x57  'w'
0x153 'W'

#x
0x58  'x'
0x158 'X'

#y
'Z'	0xfd	#y
0x15a	0xdd	 #Y

#z
0x59  'z'
0x159 'Z'


#makcen <---------------------------------------------------------------------
#dead 0x2b	
dead 0x1bb
#'~'	'~'

#a
0x41  	0xe4
0x141 	0xc4

#b
0x42  'b'
0x142 'B'

#c
'C'	0xe8
0x143	0xc8

#d
'D'	0xef
0x144	0xcf

#e
'E'	0xec
0x145	0xcc

#f
0x46  'f'
0x146 'F'

#g
0x47  'g'
0x147 'G'

#h
0x48  'h'
0x148 'H'

#i
0x49  'i'
0x149 'I'

#j
0x4a  'j'
0x14a 'J'

#k
0x4b  'k'
0x14b 'K'

#l
'L'	0xb5
0x14c	0xa5

#m
0x4d  'm'
0x14d 'M'

#n
'N'	0xf2
0x14e	0xd2

#o
0x4f    0xf4
0x14f 	0xd4

#p
0x50  'p'
0x150 'P'

#q
0x51  'q'
0x151 'Q'

#r
'R'	0xf8
0x152	0xd8

#s
'S'	0xb9
0x153	0xa9

#t
'T'	0xbb
0x154	0xab

#v
0x56  'v'
0x153 'V'

#w
0x57  'w'
0x153 'W'

#x
0x58  'x'
0x158 'X'

#y
0x5a  'y'
0x15a 'Y'

#z
'Y'	0xbe	#z
0x159	0xae	#Z


dead 0xc0	# dvojbodka
#'"'	'"'
0x141	0xc4	#A
0x41	0xe4 	#a
0x4f	0xf6	#o
0x14f	0xd6	#O
0x55	0xfc	#u
0x155	0xdc	#U

dead 0x1c0	# kruzok a vokan
#'^'	'^'
'O'	0xf4	#o
'U'	0xf9	#u
0x14f	0xd4	#O
0x155	0xd9	#U

