#
#   Net-Term for Windows
#   Keyboard map file for VT102 emulation
#
input
# Cursor keys
0x26      \E '[' 'A'      #UP
0x28      \E '[' 'B'      #DOWN
0x25      \E '[' 'D'      #LEFT
0x27      \E '[' 'C'      #RIGHT
0x24      \E '[' 'H'      #HOME
0x23      \E '[' 'F'      #END
0x21      \E '[' 'I'      #PGUP
0x22      \E '[' 'G'      #PGDN
0x2d      \E '[' 'L'      #INSERT
0x2e      127      #DELETE

0x826      \E '[' 'A'      #UP
0x828      \E '[' 'B'      #DOWN
0x825      \E '[' 'D'      #LEFT
0x827      \E '[' 'C'      #RIGHT
0x824      \E '[' 'H'      #HOME
0x823      \E '[' 'F'      #END
0x821      \E '[' 'I'      #PGUP
0x822      \E '[' 'G'      #PGDN
0x82d      \E '[' 'L'      #INSERT
0x82e      127      #DELETE

#Function keys
0x70      \E 'O' 'P'      #F1
0x71      \E 'O' 'Q'      #F2
0x72      \E 'O' 'R'      #F3
0x73      \E 'O' 'S'      #F4
0x74      \E '[' 'A'      #F5
0x75      \E '[' 'B'      #F6
0x76      \E '[' 'D'      #F7
0x77      \E '[' 'C'      #F8

#0x78      \E '[' ' '      #F9
#0x79      \E '[' ' '      #F10
#0x7a   \E '[' ' '      #F11
#0x7b   \E '[' ' '      #F12

0x170      \E '[' 'Y'      #SHIFTF1
0x171   \E '[' 'Z'      #SHIFTF2
0x172      \E '[' 'a'      #SHIFTF3
0x173      \E '[' 'b'      #SHIFTF4
0x174      \E '[' 'c'      #SHIFTF5
0x175      \E '[' 'd'      #SHIFTF6
0x176      \E '[' 'e'      #SHIFTF7
0x177      \E '[' 'f'      #SHIFTF8
0x178      \E '[' 'g'      #SHIFTF9
0x179      \E '[' 'h'      #SHIFTF10
0x17a      \E '[' 'i'      #SHIFTF11
0x17b      \E '[' 'j'      #SHIFTF12

0x270      \E '[' 'k'      #CTRLF1
0x271      \E '[' 'l'      #CTRLF2
0x272      \E '[' 'm'      #CTRLF3
0x273      \E '[' 'n'      #CTRLF4
0x274      \E '[' 'o'      #CTRLF5
0x275      \E '[' '1' '7' '~'    #CTRL F6  = vt220 f6
0x276      \E '[' '1' '8' '~'    #CTRL F7  = vt220 f7
0x277      \E '[' '1' '9' '~'    #CTRL F8  = vt220 f8
0x278      \E '[' '2' '0' '~'    #CTRL F9  = vt220 f9
0x279      \E '[' '2' '1' '~'    #CTRL F10 = vt220 f10

0x670   \E '[' '2' '3' '~'    #CTRL ALT F1 = vt220 f11
0x671   \E '[' '2' '4' '~'    #CTRL ALT F2 = vt220 f12
0x672   \E '[' '2' '5' '~'    #CTRL ALT F3 = vt220 f13
0x673   \E '[' '2' '6' '~'    #CTRL ALT F4 = vt220 f14
0x674   \E '[' '2' '8' '~'    #CTRL ALT F5 = vt220 f15
0x675   \E '[' '2' '9' '~'    #CTRL ALT F6 = vt220 f16
0x676   \E '[' '3' '1' '~'    #CTRL ALT F7 = vt220 f17
0x677   \E '[' '3' '2' '~'    #CTRL ALT F8 = vt220 f18
0x678   \E '[' '3' '3' '~'    #CTRL ALT F9 = vt220 f19
0x679   \E '[' '3' '4' '~'    #CTRL ALT F10 = vt220 f20



#0x27a      \E '[' ''      #CTRLF11
#0x27b      \E '[' ''      #CTRLF12

0x370      \E '[' 'w'      #CTRLSHIFTF1
0x371      \E '[' 'x'      #CTRLSHIFTF2
0x372      \E '[' 'y'      #CTRLSHIFTF3
0x373      \E '[' 'z'      #CTRLSHIFTF4
0x374      \E '[' '@'      #CTRLSHIFTF5
0x375      \E '[' '['      #CTRLSHIFTF6
0x376      \E '[' '\'      #CTRLSHIFTF7
0x377      \E '[' ']'      #CTRLSHIFTF8
0x378      \E '[' '^'      #CTRLSHIFTF9
0x379      \E '[' '_'      #CTRLSHIFTF10
0x37a      \E '[' ' '      #CTRLSHIFTF11
0x37b      \E '[' '{'      #CTRLSHIFTF12


0x431      \E 'O' 'p' #Alt 1
0x432      \E 'O' 'q' #Alt 2
0x433      \E 'O' 'r' #Alt 3
0x434      \E 'O' 's' #Alt 4
0x435      \E 'O' 't' #Alt 5
0x436      \E 'O' 'u' #Alt 6
0x437      \E 'O' 'v' #Alt 7
0x438      \E 'O' 'w' #Alt 8
0x439      \E 'O' 'x' #Alt 9
0x430   \E 'O' 'y' #Alt 0

#Numeric keypad
0x60  '0' #0
0x61  '1' #1
0x62  '2' #2
0x63  '3' #3
0x64  '4' #4
0x65  '5' #5
0x66  '6' #6
0x67  '7' #7
0x68  '8' #8
0x69  '9' #9

0x6e  '.' #.
0x86f  '/' #/
0x6a  '*' #*
0x6d  '-' #-
0x6b  '+' #+
0xd   0xd #Enter

# Application Keypad mode
0x806D  \E 'O' 'm'         #-
0x806B  \E 'O' 'l'         #+
0x806E  \E 'O' 'n'         #,
0x8060  \E 'O' 'p'         #0
0x8061  \E 'O' 'q'         #1
0x8062  \E 'O' 'r'         #2
0x8063  \E 'O' 's'         #3
0x8064  \E 'O' 't'         #4
0x8065  \E 'O' 'u'         #5
0x8066  \E 'O' 'v'         #6
0x8067  \E 'O' 'w'         #7
0x8068  \E 'O' 'x'         #8
0x8069  \E 'O' 'y'         #9
0x880D  \E 'O' 'M'         #Enter


# Cursor keys - Application Mode Codes
0x8826	\E 'O' 'A'	   # UP
0x8828	\E 'O' 'B'	   # DOWN
0x8827	\E 'O' 'C'	   # RIGHT
0x8825	\E 'O' 'D'	   # LEFT

wininput
# From Windows Latin 2 (1250) to PC Latin 2 (852)
0x8a   230 # Sm
0x8c   151 # Sd
0x8d   155 # Tm
0x8e   166 # Zm
0x8f   141 # Zd
0x9a   231 # sm
0x9c   152 # sd
0x9d   156 # tm
0x9e   167 # zm
0x9f   171 # zd
0xa3   157 # Lp
0xa4   207 # 
0xa5   164 # Ap
0xa7   245 # 
0xa8   249 # 
0xaa   184 # Sp
0xab   174 # 
0xaf   189 # Zp
0xb0   248 # 
0xb2   242 # 
0xb3   136 # lp
0xb8   247 # 
0xb9   165 # ap
0xba   173 # sp
0xbb   175 # 
0xbc   149 # Lm
0xbd   241 # 
0xbe   150 # lm
0xbf   190 # zp
0xc0   232 # Rd
0xc1   181 # Ad
0xc2   182 # Ao
0xc3   198 # Am
0xc4   142 # Au
0xc5   145 # Ld
0xc6   143 # Cd
0xc7   128 # Cp
0xc8   172 # Cm
0xc9   144 # Ed
0xca   168 # Ep
0xcb   211 # Eu
0xcc   183 # Em
0xcd   214 # Id
0xce   215 # Io
0xcf   210 # Dm
0xd0   209 # Dp
0xd1   227 # Nd
0xd2   213 # Nm
0xd3   224 # Od
0xd4   226 # Oo
0xd5   138 # Oa
0xd6   153 # Ou
0xd7   158 # x
0xd8   252 # Rm
0xd9   222 # Uk
0xda   233 # Ud
0xdb   235 # Ua
0xdc   154 # Uu
0xdd   237 # Yd
0xde   221 # Tp
0xdf   225 # 
0xe0   234 # rd
0xe1   160 # ad
0xe2   131 # ao
0xe3   199 # am
0xe4   132 # au
0xe5   146 # ld
0xe6   134 # cd
0xe7   135 # cp
0xe8   159 # cm
0xe9   130 # ed
0xea   169 # ep
0xeb   137 # eu
0xec   216 # em
0xed   161 # id
0xee   140 # io
0xef   212 # dm
0xf0   208 # dp
0xf1   228 # nd
0xf2   229 # nm
0xf3   162 # od
0xf4   147 # oo
0xf5   139 # oa
0xf6   148 # ou
0xf7   246 # 
0xf8   253 # rm
0xf9   133 # uk
0xfa   163 # ud
0xfb   251 # ua
0xfc   129 # uu
0xfd   236 # yd
0xfe   238 # tp


